POLICYMAKERPCR(1)

NAME
policymakerpcr - Runs TPM2 policymakerpcr

DESCRIPTION
policymakerpcr

Creates a policyPCR term suitable for input to policymaker (hex ascii)

Assumes that the byte mask and PCR values are consistent

[-halg
    hash algorithm (sha1 sha256 sha384 sha512) (default sha256)]

-bm pcr byte mask in hex, big endian

    e.g. 010000 selects PCR 16 e.g. ffffff selects all 24 PCRs

-if input file - PCR values, hex ascii, one per line, 24 max

    required unless pcr mask is 0

[-of
    output file - policy hash in binary]

[-pr
    stdout - policy hash in hex ascii]